from migen import *

from litex.soc.interconnect.csr import *

from pathlib import Path

class LedGpio(AutoCSR, Module):
    def __init__(self, platform, led: Signal):
        #source = Path(__file__).parent / "led_gpio.v"
        #platform.add_source(source)

        self.register = CSRStorage(8)

        self.comb += led.eq(self.register.storage[0])
