# Building Instructions

All of this is assumed to be on a linux system. Eventually I'll probably make or use some dockerfile that
has all this installed already.

## Toolchain Installation

### Trellis and FPGA toolchain

First, get an [oss-cad-suite release](https://github.com/YosysHQ/oss-cad-suite-build/releases),
and unpack it into an install directory of your choice.

Ensure the `bin/` folder is included in your build environment's PATH.

### LiteX

Simply follow the [LiteX quick start guide](https://github.com/enjoy-digital/litex#quick-start-guide).

Ensure that the RISCV toolchain `bin/` folder is also included in your build environment's PATH.

### Rust

TODO will need to install rust and install the rv32/nightly toolchain

### ecpdap (Optional?)

You may or may not have to install your own version of ecpdap, I found the one in `oss-cad-suite` didn't work
for whatever reason, so I had to install it myself. There are releases on the github, or you can just build it
yourself with Rust. Just make sure you either replace the binary in the oss-cad-suite location or make sure
this version of ecpdap has priority in PATH.

